Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.app.shinzo.ai/v1/mcp/servers/{id}/access \ --header 'Authorization: Bearer <token>'
List all agents that have access to an MCP server.
Authorization: Bearer <token>
curl -X GET https://api.app.shinzo.ai/v1/mcp/servers/a1b2c3d4-e5f6-7890-abcd-ef1234567890/access \ -H "Authorization: Bearer <token>"
[ { "id": "grant-uuid-1", "agent": { "uuid": "agt-uuid-1", "name": "code-review-agent", "status": "active" }, "access_mode": "all", "allowed_tools": null, "enabled": true }, { "id": "grant-uuid-2", "agent": { "uuid": "agt-uuid-2", "name": "data-agent", "status": "paused" }, "access_mode": "selected", "allowed_tools": ["create_issue", "list_issues"], "enabled": true } ]
200
401
404